Установка нового ПО на линукс

Аватар пользователя physieker

я просто в печали. Грустный
начал понимать, почему так много дистрибутивов линуксов - люди собирают много-много ПО, проверяют совместимость и т.д. и запихивают все это в один дистрибутив.

в разделе "для начинающих" много тем, типа "как поставить то-то", "как удалить" & etc.
до позавчера, как то получалось. я то и не устанавливал много (cube, OOo2, да может еще что по мелочи).
мне с ростова привезли Linux Format (N2) c DVD.
вчера наконецто добрались до него руки... все ПО в исходниках.

начал пытатся устанавливать (игру vdrift хотел запустить, gparted - гном-среда для работы с партициями, kwebdev - сайт хочу свой простенький сделать (в ОС линукс) и т.д.).
и тута понеслось:
configure: error: *** libparted >= 1.6.13 not installed - get it from http://www.gnu.org/software/parted/ ***

/usr/bin/ld: cannot find -lgcrypt  
collect2: ld returned 1 exit status  
make[4]: *** [libkxsldbgpart.la] Ошибка 1  
make[4]: Leaving directory `/sourches/kdewebdev-3.5.0/kxsldbg/kxsldbgpart'  
make[3]: *** [all-recursive] Ошибка 1  
make[3]: Leaving directory `/sourches/kdewebdev-3.5.0/kxsldbg/kxsldbgpart'  
make[2]: *** [all-recursive] Ошибка 1  
make[2]: Leaving directory `/sourches/kdewebdev-3.5.0/kxsldbg'  
make[1]: *** [all-recursive] Ошибка 1  
make[1]: Leaving directory `/sourches/kdewebdev-3.5.0'  
make: *** [all] Ошибка 2  

main.cpp:714: warning: `__comp_ctor' is deprecated (declared at     /usr/include/kde/kapplication.h:198)  
make[1]: *** [main.o] Ошибка 1  
rm debug_widget2.moc.cpp formdesigner.moc.cpp hbformwindow.moc.cpp basic_document.moc.cpp hbdatabase.moc.cpp debug_widget1.moc.cpp  
make[1]: Leaving directory `/sourches/fr-80m6BB/src'  
make: *** [src/libhbasic.a] Ошибка 2  
[root@localhost fr-80m6BB]#

checking for cpufreq_cpu_exists in -lcpufreq... no  configure: error: You need libcpufreq from cpufrequtils to build cpufreqd  
[root@localhost cpufreqd-2.0.0]#

checking for gob2... no  configure: error: Cannot find GOB-2, install from http://www.5z.com/jirka/gob.html  
[root@localhost gnome-bluetooth-0.7.0]#

checking for openobex-config... no  configure: error: openobex-config not found. Pehaps openobex is not installed.  
[root@localhost libbtctl-0.6.0]#

все описанное выше не для вопросов. в принципе и так все понятно. поэтому тему и открыл в "курилке".
в общем если подитожить мои попытки поставить хоть чтонибудь, что меня заинтересовало на двух стороннем DVD-диске(!), то я не смог установить НИЧЕГО. Грустный
кучи библиотек, которые требовались тем или иным приложениям, я накачал - но это все приводило к требованию о необходимости других библиотек.
просто стало както грусно. Грустный
получается, что если хочешь юзать ПО линукса, то юзай то что есть в дистре. или воюй с зависимостями.

Аватар пользователя Toper_Harley

Re: установка нового ПО на линукс

Ну как выход можно поставить безлимитку, грамотно настроить репозитарий и забыть о зависимостях ну если не совсем, то почти совсем.
Или просто для более пожилых дистров подбирать более пожилое ПО. еще не доказано, что это - хуже. У меня тоже был период, когда меня это убивало, а сейчас другой настолько комфортной и обустроенной именно для меня системы уже не представляю. Просто не мог поставить одно - ставил аналог и баста. Но обновляться конечно нада уже...

Аватар пользователя DRVTiny

Re: установка нового ПО на линукс

Цитата:
Или просто для более пожилых дистров подбирать более пожилое ПО. еще не доказано, что это - хуже. У меня тоже был период, когда меня это убивало, а сейчас другой настолько комфортной и обустроенной именно для меня системы уже не представляю.

Ура!!! Оказывается, у меня не так уж мало реальных единомышленников. Прогресс ради прогресса и обновления ради обновлений - что может быть глупее? Я недавно набрёл на компьютер с установленным ASPLinux 9, на котором практически ничего не менялось, так Вы не поверите: когда я сел за этот компьютер и просто попытался делать то, что я делаю обычно дома или на работе, то оказалось,что 9-й ASP для меня ощутимо удобнее последних версий (10-й и 11-й): и перевод документации/интерфейса приложений там явно более полный и главное меню сред GNOME и KDE гораздо более эргономично и логично устроено, я уж не говорю о том, что акуратные гладкие шрифты в 9-м ASP'е составляют разительный контраст с тем корявым художеством, которое я имею необычайное удовольствие лицезреть в 11-м ASPLinux. Сам по себе Gnome тогда был удобнее и... органичнее что ли.
Другой пример, который мне сразу же приходит в голову: программа LinNeighborhood, которая не обновлялась уже несколько лет, но несмотря на это IMHO до сих пор является самым удобным фронтендом для клиентской части Samb'ы (всякие там VFS'ы, встроенные в оболочки и файловые менеджеры LinNeighborhood'у и в подмётки не годятся).
Собственно, так, на вскидку, я даже не смогу вспомнить ни одной программы (не из области серверных технологий), которая за последние 3 года стала существенно лучше: OpenOffice как не открывал по-человечески документы в Microsoft'овских форматах, так и до сих пор их не открывает (зато сам Microsoft Office уже прочно прописался на рабочих столах пользователей Linux. Microsoft осталось только официально с гордостью признать тот факт, что их офисный пакет пользуется необыкновенно высокой популярностью даже у пользователей тех альтернативных ОСей, для которых Всеми Любимая Копорация официальных версий своего ПО не выпускала), Sylpheed как не умел делать сортировку писем в папке по задаваемым пользователем критериям и читать заголовки без получения всего письма (что без проблем позволяет делать не только IMAP, но и POP3), так он и до сих пор этого не умеет, старенькая Опера 7.22 была даже лучше моей нынешней Оперы 8.51, поскольку загружалась ощутимо быстрее (и это на Celeron'е 500 супротив моего нынешнего Athlon 1800 XP!), мой любимый оконный менеджер IceWM развивается методом ползучего эволюционизма: новые версии периодически выходят, я их скачиваю, устанавливаю, но неизменно раз за разом ничего нового в них не нахожу даже тогда, когда долго и внимательно читаю ChageLog'и. Зато в самой последней версии мною был отмечен забавный "глюк", с которым я ранее не сталкивался: окна, находящиеся ближе к верхнему краю экрана, вдруг буквально "подпрыгивают", так что их заголовки оказываются за пределами экрана и мне приходится вытаскивать каждое такое окно в отдельности комбинацией Alt+F7 с последующим перетаскиванием вниз. Пожалуй, какие-то реальные улучшения я периодически встречаю только в новых версиях KDE - остальные приложения с увеличением номера версии прибавляют только в весе, но никак не в удобстве и функциональности.

Аватар пользователя moisha

Re: установка нового ПО на линукс

DRVTiny, нет слов - :friends:

Аватар пользователя Avatar

Re: установка нового ПО на линукс

DRVTiny
"...развивается методом ползучего эволюционизма: новые версии периодически выходят, я их скачиваю, устанавливаю, но неизменно раз за разом ничего нового в них не нахожу..."
- ет точно))

RSS-материал